package cn.com.qmth.sdk.test;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.request.OuterSaveExamStudentReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class SaveExamStudent {

	public static void main(String[] args) {
		OuterSaveExamStudentReq reqBody = new OuterSaveExamStudentReq();

		reqBody.setCourseCode("C-001");
		reqBody.setCourseLevel("ZSB");
		reqBody.setCourseName("计算机基础");
		reqBody.setExamId(381L);
		reqBody.setExamSite("任意考点");
		reqBody.setGrade("201809");
		reqBody.setIdentityNumber("42112100001111");
		reqBody.setInfoCollector("测试采集");
		reqBody.setPaperType("B");
		reqBody.setSpecialtyName("计算机");
		reqBody.setRemark("测试");
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());
		reqBody.setStudentCode("s-001");
		reqBody.setStudentName("陈圆圆");

		String url = QmthUtil.buildUrl("/api/exchange/outer/examStudent/saveExamStudent");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}
}
